<template>
  <v-app dark>
    <h1>Error {{ error.statusCode }}</h1>
    <h2>{{ error.message }}</h2>
    <nuxt-link to="/">Home page</nuxt-link>
  </v-app>
</template>

<script>
import Vue from 'vue'

export default Vue.extend({
  layout: 'empty',
  props: {
    error: {
      type: Object,
      default: null,
    },
  },
  head() {
    const title = 'Error ' + this.error.statusCode
    return {
      title,
    }
  },
})
</script>
